Solid Edge Draft Type Library
RevolvedSection Property
Solid Edge Draft Type Library > DrawingView Object : RevolvedSection Property
Description
Gets or sets Revolved Section property of section view
Property type
Read-write property
Syntax
Visual Basic
Public Property RevolvedSection As Boolean
Remarks
This property throws an exception if revolved section is not applicable for a section view.
Example
Imports System.Runtime.InteropServices
Imports System.IO

Module Module1

    Sub Main()

        Dim objApp As SolidEdgeFramework.Application = Nothing
        Dim ObjDraftDoc As SolidEdgeDraft.DraftDocument = Nothing
        Dim DrawingView As SolidEdgeDraft.DrawingView = Nothing
        Dim bRevolvedOption As Boolean
        
        Try
            objApp = Marshal.GetActiveObject("SolidEdge.Application")
            ObjDraftDoc = objApp.ActiveDocument
            DrawingView = ObjDraftDoc.ActiveSheet.DrawingViews.Item(2)
            DrawingView.RevolvedSection = True
            bRevolvedOption = DrawingView.RevolvedSection
   
        Catch ex As Exception
            Console.WriteLine(ex.ToString)
        End Try

    End Sub
    

End Module
using System.Runtime.InteropServices;
using System.IO;

internal static class Module1
{

    public static void Main()
    {

        SolidEdgeFramework.Application objApp = null;
        SolidEdgeDraft.DraftDocument ObjDraftDoc = null;
        SolidEdgeDraft.DrawingView DrawingView = null;
        bool bRevolvedOption = false;

        try
        {
            objApp = (SolidEdgeFramework.Application)Marshal.GetActiveObject("SolidEdge.Application");
            ObjDraftDoc = objApp.ActiveDocument;
            DrawingView = ObjDraftDoc.ActiveSheet.DrawingViews.Item(2);
            DrawingView.RevolvedSection = true;
            bRevolvedOption = DrawingView.RevolvedSection;

        }
        catch (Exception ex)
        {
            Console.WriteLine(ex.ToString());
        }

    }


}
See Also

DrawingView Object  | DrawingView Members